Bug 1549686 (f28-backgrounds) - Review Request: f28-backgrounds - Fedora 28 default desktop background
Summary: Review Request: f28-backgrounds - Fedora 28 default desktop background
Keywords:
Status: CLOSED ERRATA
Alias: f28-backgrounds
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: AcceptedBlocker
Depends On:
Blocks: F28BetaBlocker
TreeView+ depends on / blocked
 
Reported: 2018-02-27 16:21 UTC by Luya Tshimbalanga
Modified: 2018-03-12 22:36 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-03-12 22:36:38 UTC
rdieter: fedora-review+


Attachments (Terms of Use)

Description Luya Tshimbalanga 2018-02-27 16:21:12 UTC
Spec URL: https://copr-be.cloud.fedoraproject.org/results/luya/f28-backgrounds/fedora-rawhide-x86_64/00721636-f28-backgrounds/f28-backgrounds.spec
SRPM URL: https://copr-be.cloud.fedoraproject.org/results/luya/f28-backgrounds/fedora-rawhide-x86_64/00721636-f28-backgrounds/f28-backgrounds-28.0.0-1.fc28.src.rpm
Description: This package contains desktop backgrounds for the Fedora 28 default
theme.  Pulls in themes for GNOME, KDE, Mate and Xfce desktops.
Fedora Account System Username: luya

Comment 1 Robert-André Mauchin 2018-02-27 17:25:18 UTC
 - https://fedoraproject.org/wiki/F28_Artwork  is empty

 - [!]: Package must own all directories that it creates.
     Note: Directories without known owners:
     /usr/share/backgrounds/f28/extras, /usr/share/wallpapers,
     /usr/share/backgrounds/f28, /usr/share/gnome-background-properties,
     /usr/share/mate-background-properties, /usr/share/xfce4,
     /usr/share/xfce4/backdrops

 Check out whether you own these directories correctly. I think one that should be owned in the extras subpackage is:

%dir %{_datadir}/backgrounds/%{bgname}/extras

Comment 2 Rex Dieter 2018-02-27 19:15:47 UTC
I can review today

Comment 3 Rex Dieter 2018-02-27 19:20:07 UTC
fyi, embedded metadata.desktop for the kde wallpaper still says Twenty-Seven/f27, but I can help fix that post review so that it's more future proof (ie, will minimize or remove any need for manual editing for future releases).

Comment 4 Rex Dieter 2018-02-27 19:30:30 UTC
first off: (more thorough items coming soon)

1. file ownership referenced in comment #1
%files extras-base
...
%{_datadir}/backgrounds/%{bgname}/extras/*.jpg
%{_datadir}/backgrounds/%{bgname}/extras/*.png
%{_datadir}/backgrounds/%{bgname}/extras/%{bgname}-extras.xml
could be replaced by simple:
%{_datadir}/backgrounds/%{bgname}/extras/
or add
%dir  %{_datadir}/backgrounds/%{bgname}/extras/

/usr/share/wallpapers is already owned by kde-filesystem
/usr/share/backgrounds/f28 is owned by -base subpkg

For /usr/share/xfce4/backdrops, I think those should be added here (I don't see anything else better to provide ownership)
%files xfce
%dir %{_datadir}/xfce4/
%dir %{_datadir}/xfce4/backdrops/

Same for /usr/share/gnome-background-properties, add to 
%files gnome
...
%dir %{_datadir}/gnome-background-properties/

Same for -mate,
%files mate
...
%dir %{_datadir}/mate-background-properties/

Comment 6 Luya Tshimbalanga 2018-03-05 08:05:37 UTC
Quick follow-up:
I realize the deadline for packaging the default wallpaper is on March 5. Due to job related, I will be unable to update during weekday until evening Pacific time due to lack of access to my laptop.

Comment 7 Rex Dieter 2018-03-05 16:33:49 UTC
Thanks, looks good, the rest if fairly simple, clean, and templated from prior release packages in general.

APPROVED

Comment 8 Gwyn Ciesla 2018-03-06 02:11:27 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/f28-backgrounds

Comment 9 Luya Tshimbalanga 2018-03-06 04:58:44 UTC
Excellent.

(In reply to Rex Dieter from comment #3)
> fyi, embedded metadata.desktop for the kde wallpaper still says
> Twenty-Seven/f27, but I can help fix that post review so that it's more
> future proof (ie, will minimize or remove any need for manual editing for
> future releases).

I took opportunity to quickly fix the versionin on metadata.desktop. Feel free to further bring enhancement.

Comment 10 Fedora Blocker Bugs Application 2018-03-07 04:18:32 UTC
Proposed as a Blocker for 28-beta by Fedora user luya using the blocker tracking app because:

 Default  beta wallpapers for Fedora 28 is recently packaged for the beta release that just got frozen.

Comment 11 Adam Williamson 2018-03-07 20:10:17 UTC
The release criterion here states "The default desktop background must be different from that of the last two stable releases." Without this update, is the F28 background the same as the F26 or F27 backgrounds? If so, this is a blocker, if not, FE.

Comment 12 Luya Tshimbalanga 2018-03-08 05:12:04 UTC
(In reply to Adam Williamson from comment #11)
> is the F28 background the same as the F26 or F27 backgrounds? If so, this is
> a blocker, if not, FE.

In this case, F28 backgrounds differ from the previous release so assigning to FE.

Comment 13 Fedora Update System 2018-03-08 15:25:02 UTC
desktop-backgrounds-28.0.0-1.fc28, f28-backgrounds-28.1.0-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-f86f6e9857

Comment 14 Adam Williamson 2018-03-12 18:05:19 UTC
Luya: the question isn't whether the *new* backgrounds are different, of course they are. The question is whether the backgrounds *currently* in F28 - before this update - are the same as F27 or F26. And it looks to me like they're the same as F27:

https://openqa.fedoraproject.org/tests/200929#step/_do_install_and_reboot/31

which would make this a blocker.

Comment 15 Geoffrey Marr 2018-03-12 20:58:19 UTC
Discussed during the 2018-03-12 blocker review meeting: [1]

The decision to classify this bug as an AcceptedBlocker was made as it violates the following blocker criteria:

"The default desktop background must be different from that of the last two stable releases"

[1] https://meetbot-raw.fedoraproject.org/fedora-blocker-review/2018-03-12/f28-blocker-review.2018-03-12-16.01.txt

Comment 16 Fedora Update System 2018-03-12 22:36:38 UTC
desktop-backgrounds-28.0.0-1.fc28, f28-backgrounds-28.1.0-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.